Bug 2061854 (CVE-2022-24512) - CVE-2022-24512 dotnet: double parser stack buffer overrun
Summary: CVE-2022-24512 dotnet: double parser stack buffer overrun
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-24512
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2061869 2061870 2061871 2061872 2061873 2061874 2061875 2061876 2061877 2061878 2061879 2061880
Blocks: 2061840
TreeView+ depends on / blocked
 
Reported: 2022-03-08 16:23 UTC by Stefan Cornelius
Modified: 2022-09-28 16:39 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in dotnet, where a buffer overrun exists in the double parse routine, which could lead to remote code execution. This flaw allows an attacker to execute code remotely on the system, leading to some system compromise.
Clone Of:
Environment:
Last Closed: 2022-03-10 22:31:21 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2022:0938 0 None None None 2022-03-15 20:43:54 UTC
Red Hat Product Errata RHBA-2022:0945 0 None None None 2022-03-16 15:05:33 UTC
Red Hat Product Errata RHSA-2022:0826 0 None None None 2022-03-10 16:13:43 UTC
Red Hat Product Errata RHSA-2022:0827 0 None None None 2022-03-10 16:14:42 UTC
Red Hat Product Errata RHSA-2022:0828 0 None None None 2022-03-10 16:17:14 UTC
Red Hat Product Errata RHSA-2022:0829 0 None None None 2022-03-10 16:16:22 UTC
Red Hat Product Errata RHSA-2022:0830 0 None None None 2022-03-10 16:13:36 UTC
Red Hat Product Errata RHSA-2022:0832 0 None None None 2022-03-10 16:17:59 UTC

Description Stefan Cornelius 2022-03-08 16:23:50 UTC
A vulnerability exists in the double Parser routine of the system.runtime.dll.

Comment 2 errata-xmlrpc 2022-03-10 16:13:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0830 https://access.redhat.com/errata/RHSA-2022:0830

Comment 3 errata-xmlrpc 2022-03-10 16:13:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0826 https://access.redhat.com/errata/RHSA-2022:0826

Comment 4 errata-xmlrpc 2022-03-10 16:14:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0827 https://access.redhat.com/errata/RHSA-2022:0827

Comment 5 errata-xmlrpc 2022-03-10 16:16:20 UTC
This issue has been addressed in the following products:

  .NET Core on Red Hat Enterprise Linux

Via RHSA-2022:0829 https://access.redhat.com/errata/RHSA-2022:0829

Comment 6 errata-xmlrpc 2022-03-10 16:17:12 UTC
This issue has been addressed in the following products:

  .NET Core on Red Hat Enterprise Linux

Via RHSA-2022:0828 https://access.redhat.com/errata/RHSA-2022:0828

Comment 7 errata-xmlrpc 2022-03-10 16:17:57 UTC
This issue has been addressed in the following products:

  .NET Core on Red Hat Enterprise Linux

Via RHSA-2022:0832 https://access.redhat.com/errata/RHSA-2022:0832

Comment 8 Product Security DevOps Team 2022-03-10 22:31:19 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-24512


Note You need to log in before you can comment on or make changes to this bug.